ranges::views::take_while_fn Struct Reference
Inheritance diagram for ranges::views::take_while_fn:

## Synopsis of methods

constexpr take_while_fn | take_while {}

## Additional Inherited Members

Public Member Functions inherited from ranges::views::take_while_base_fn
template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> take_while_view< all_t< Rng >, Pred > requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred &, iterator_t< Rng >>
template<typename Rng , typename Pred , typename Proj >
constexpr auto | operator() (Rng &&rng, Pred pred, Proj proj) const -> take_while_view< all_t< Rng >, composed< Pred, Proj >> requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< composed< Pred, Proj > &, iterator_t< Rng >>
Public Member Functions inherited from ranges::views::take_while_bind_fn
template<typename Pred >
constexpr auto | operator() (Pred pred) const
template<typename Pred , typename Proj >
constexpr auto | operator() (Pred &&pred, Proj proj) const requires(!range< Pred >)